GPG error on run-tests: gpg: WARNING: message was not integrity protected

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

GPG error on run-tests: gpg: WARNING: message was not integrity protected

duplicity-talk mailing list
Hello all,

I am getting the below error from a ./run-tests on trunk.

Before I spend too long on it, do others get this error on trunk
(08-series), or is it something about my setup/versions? It wouldn't
actually surprise me if we had some decryption test made before 2003 and
this is exactly what the error suggests, but I'm interested that it just
started for me. I'm running gpg (GnuPG) 2.2.4.

Kind regards,

Aaron


py27 runtests: commands[1] | pytest -s -m nocapture
============================= test session starts
==============================
platform linux2 -- Python 2.7.15rc1, pytest-3.6.2, py-1.5.3, pluggy-0.6.0
rootdir: /[...]/duplicity/08-test-trunk, inifile: tox.ini
collected 437 items / 427 deselected

testing/unit/test_collections.py F
testing/unit/test_gpg.py .........

=================================== FAILURES
===================================
_____________________ CollectionTest.test_sigchain_fileobj
_____________________

self = <testing.unit.test_collections.CollectionTest
testMethod=test_sigchain_fileobj>

     @pytest.mark.nocapture
     def test_sigchain_fileobj(self):
         """Test getting signature chain fileobjs from archive_dir_path"""
         self.set_gpg_profile()
self.sigchain_fileobj_check_list(self.sigchain_fileobj_get(1))
 > self.sigchain_fileobj_check_list(self.sigchain_fileobj_get(None))

unit/test_collections.py:191:
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
_ _ _ _
unit/test_collections.py:182: in sigchain_fileobj_check_list
     test_fileobj(0, "Hello, world!")
unit/test_collections.py:179: in test_fileobj
     fileobjlist[i].close()
../duplicity/dup_temp.py:227: in close
     assert not self.fileobj.close()
../duplicity/gpg.py:304: in close
     self.gpg_failed()
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
_ _ _ _

self = <duplicity.gpg.GPGFile instance at 0x7fb19dc633b0>

     def gpg_failed(self):
         msg = u"GPG Failed, see log below:\n"
         msg += u"===== Begin GnuPG log =====\n"
         for fp in (self.logger_fp, self.stderr_fp):
             fp.seek(0)
             for line in fp:
                 try:
                     msg += unicode(line.strip(),
locale.getpreferredencoding(), 'replace') + u"\n"
                 except Exception as e:
                     msg += line.strip() + u"\n"
         msg += u"===== End GnuPG log =====\n"
         if not (msg.find(u"invalid packet (ctb=14)") > -1):
 >           raise GPGError(msg)
E           GPGError: GPG Failed, see log below:
E           ===== Begin GnuPG log =====
E           gpg: CAST5 encrypted data
E           gpg: encrypted with 1 passphrase
E           gpg: WARNING: message was not integrity protected
E           gpg: Hint: If this message was created before the year 2003
it is
E           likely that this message is legitimate.  This is because back
E           then integrity protection was not widely used.
E           gpg: Use the option '--ignore-mdc-error' to decrypt anyway.
E           gpg: decryption forced to fail!
E           ===== End GnuPG log =====

../duplicity/gpg.py:271: GPGError
============= 1 failed, 9 passed, 427 deselected in 12.59 seconds
==============
ERROR: InvocationError:
'/[...]/duplicity/08-test-trunk/.tox/py27/bin/pytest -s -m nocapture'


_______________________________________________
Duplicity-talk mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/duplicity-talk
Reply | Threaded
Open this post in threaded view
|

Re: GPG error on run-tests: gpg: WARNING: message was not integrity protected

duplicity-talk mailing list
Hello,

GnuPG 2.2.4 changes list has the following entry:

   * gpg: Print a warning if the MDC feature has not been used for a
     message.

Maybe that's related.

   Tapio

On 24.6.2018 22:51, Aaron via Duplicity-talk wrote:

> Hello all,
>
> I am getting the below error from a ./run-tests on trunk.
>
> Before I spend too long on it, do others get this error on trunk
> (08-series), or is it something about my setup/versions? It wouldn't
> actually surprise me if we had some decryption test made before 2003 and
> this is exactly what the error suggests, but I'm interested that it just
> started for me. I'm running gpg (GnuPG) 2.2.4.
>
> Kind regards,
>
> Aaron
>
>
> py27 runtests: commands[1] | pytest -s -m nocapture
> ============================= test session starts
> ==============================
> platform linux2 -- Python 2.7.15rc1, pytest-3.6.2, py-1.5.3, pluggy-0.6.0
> rootdir: /[...]/duplicity/08-test-trunk, inifile: tox.ini
> collected 437 items / 427 deselected
>
> testing/unit/test_collections.py F
> testing/unit/test_gpg.py .........
>
> =================================== FAILURES
> ===================================
> _____________________ CollectionTest.test_sigchain_fileobj
> _____________________
>
> self = <testing.unit.test_collections.CollectionTest
> testMethod=test_sigchain_fileobj>
>
>      @pytest.mark.nocapture
>      def test_sigchain_fileobj(self):
>          """Test getting signature chain fileobjs from archive_dir_path"""
>          self.set_gpg_profile()
> self.sigchain_fileobj_check_list(self.sigchain_fileobj_get(1))
>  > self.sigchain_fileobj_check_list(self.sigchain_fileobj_get(None))
>
> unit/test_collections.py:191:
> _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
> _ _ _ _
> unit/test_collections.py:182: in sigchain_fileobj_check_list
>      test_fileobj(0, "Hello, world!")
> unit/test_collections.py:179: in test_fileobj
>      fileobjlist[i].close()
> ../duplicity/dup_temp.py:227: in close
>      assert not self.fileobj.close()
> ../duplicity/gpg.py:304: in close
>      self.gpg_failed()
> _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
> _ _ _ _
>
> self = <duplicity.gpg.GPGFile instance at 0x7fb19dc633b0>
>
>      def gpg_failed(self):
>          msg = u"GPG Failed, see log below:\n"
>          msg += u"===== Begin GnuPG log =====\n"
>          for fp in (self.logger_fp, self.stderr_fp):
>              fp.seek(0)
>              for line in fp:
>                  try:
>                      msg += unicode(line.strip(),
> locale.getpreferredencoding(), 'replace') + u"\n"
>                  except Exception as e:
>                      msg += line.strip() + u"\n"
>          msg += u"===== End GnuPG log =====\n"
>          if not (msg.find(u"invalid packet (ctb=14)") > -1):
>  >           raise GPGError(msg)
> E           GPGError: GPG Failed, see log below:
> E           ===== Begin GnuPG log =====
> E           gpg: CAST5 encrypted data
> E           gpg: encrypted with 1 passphrase
> E           gpg: WARNING: message was not integrity protected
> E           gpg: Hint: If this message was created before the year 2003
> it is
> E           likely that this message is legitimate.  This is because back
> E           then integrity protection was not widely used.
> E           gpg: Use the option '--ignore-mdc-error' to decrypt anyway.
> E           gpg: decryption forced to fail!
> E           ===== End GnuPG log =====
>
> ../duplicity/gpg.py:271: GPGError
> ============= 1 failed, 9 passed, 427 deselected in 12.59 seconds
> ==============
> ERROR: InvocationError:
> '/[...]/duplicity/08-test-trunk/.tox/py27/bin/pytest -s -m nocapture'
>
>
> _______________________________________________
> Duplicity-talk mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/duplicity-talk


_______________________________________________
Duplicity-talk mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/duplicity-talk
Reply | Threaded
Open this post in threaded view
|

Re: GPG error on run-tests: gpg: WARNING: message was not integrity protected

duplicity-talk mailing list
Looks like we need to add '--ignore-mdc-error' as a default gpg option.

...Ken


On Sun, Jun 24, 2018 at 4:12 PM Tapio Sokura via Duplicity-talk <[hidden email]> wrote:
Hello,

GnuPG 2.2.4 changes list has the following entry:

   * gpg: Print a warning if the MDC feature has not been used for a
     message.

Maybe that's related.

   Tapio

On 24.6.2018 22:51, Aaron via Duplicity-talk wrote:
> Hello all,
>
> I am getting the below error from a ./run-tests on trunk.
>
> Before I spend too long on it, do others get this error on trunk
> (08-series), or is it something about my setup/versions? It wouldn't
> actually surprise me if we had some decryption test made before 2003 and
> this is exactly what the error suggests, but I'm interested that it just
> started for me. I'm running gpg (GnuPG) 2.2.4.
>
> Kind regards,
>
> Aaron
>
>
> py27 runtests: commands[1] | pytest -s -m nocapture
> ============================= test session starts
> ==============================
> platform linux2 -- Python 2.7.15rc1, pytest-3.6.2, py-1.5.3, pluggy-0.6.0
> rootdir: /[...]/duplicity/08-test-trunk, inifile: tox.ini
> collected 437 items / 427 deselected
>
> testing/unit/test_collections.py F
> testing/unit/test_gpg.py .........
>
> =================================== FAILURES
> ===================================
> _____________________ CollectionTest.test_sigchain_fileobj
> _____________________
>
> self = <testing.unit.test_collections.CollectionTest
> testMethod=test_sigchain_fileobj>
>
>      @pytest.mark.nocapture
>      def test_sigchain_fileobj(self):
>          """Test getting signature chain fileobjs from archive_dir_path"""
>          self.set_gpg_profile()
> self.sigchain_fileobj_check_list(self.sigchain_fileobj_get(1))
>  > self.sigchain_fileobj_check_list(self.sigchain_fileobj_get(None))
>
> unit/test_collections.py:191:
> _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
> _ _ _ _
> unit/test_collections.py:182: in sigchain_fileobj_check_list
>      test_fileobj(0, "Hello, world!")
> unit/test_collections.py:179: in test_fileobj
>      fileobjlist[i].close()
> ../duplicity/dup_temp.py:227: in close
>      assert not self.fileobj.close()
> ../duplicity/gpg.py:304: in close
>      self.gpg_failed()
> _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
> _ _ _ _
>
> self = <duplicity.gpg.GPGFile instance at 0x7fb19dc633b0>
>
>      def gpg_failed(self):
>          msg = u"GPG Failed, see log below:\n"
>          msg += u"===== Begin GnuPG log =====\n"
>          for fp in (self.logger_fp, self.stderr_fp):
>              fp.seek(0)
>              for line in fp:
>                  try:
>                      msg += unicode(line.strip(),
> locale.getpreferredencoding(), 'replace') + u"\n"
>                  except Exception as e:
>                      msg += line.strip() + u"\n"
>          msg += u"===== End GnuPG log =====\n"
>          if not (msg.find(u"invalid packet (ctb=14)") > -1):
>  >           raise GPGError(msg)
> E           GPGError: GPG Failed, see log below:
> E           ===== Begin GnuPG log =====
> E           gpg: CAST5 encrypted data
> E           gpg: encrypted with 1 passphrase
> E           gpg: WARNING: message was not integrity protected
> E           gpg: Hint: If this message was created before the year 2003
> it is
> E           likely that this message is legitimate.  This is because back
> E           then integrity protection was not widely used.
> E           gpg: Use the option '--ignore-mdc-error' to decrypt anyway.
> E           gpg: decryption forced to fail!
> E           ===== End GnuPG log =====
>
> ../duplicity/gpg.py:271: GPGError
> ============= 1 failed, 9 passed, 427 deselected in 12.59 seconds
> ==============
> ERROR: InvocationError:
> '/[...]/duplicity/08-test-trunk/.tox/py27/bin/pytest -s -m nocapture'
>
>
> _______________________________________________
> Duplicity-talk mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/duplicity-talk


_______________________________________________
Duplicity-talk mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/duplicity-talk

_______________________________________________
Duplicity-talk mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/duplicity-talk